
QGIS Application - Bug report #4692

New diagrams: priority not exported to labels

2011-12-23 03:34 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14577

Description

If there are labels, diagrams tend to disappear; it would be good to either allow both, or to respect the priorities (if diagrams have higher

priority, is the label that should disappear).

Associated revisions

Revision 946ca075 - 2015-04-13 11:44 AM - Nyall Dawson

Fix incorrect calculation of priority for diagrams (fix #4692)

Revision 31173331 - 2015-04-13 11:30 PM - Nyall Dawson

Fix incorrect calculation of priority for diagrams (fix #4692)

History

#1 - 2012-09-04 12:10 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2014-06-23 06:25 AM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Version 2.4

Actually, now they seem to behave in the opposite direction: if I set a high priority for diagrams, they disappear when labels are present, and the reverse.

#3 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#4 - 2015-04-13 06:20 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"946ca075868a0bb63f22432585d7c4eeecdacdb9".
